<!DOCTYPE HTML>
<html xmlns:th="http://www.thymeleaf.org">

<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
</head>

<body>
    <h1>Customers</h1>

    <table>
        <thead>
            <th>First Name</th>
            <th>Last Name</th>
            <th>Email</th>
        </thead>
        <tr th:each="customer: ${customers}">
            <td th:text="${customer.firstName}" />
            <td th:text="${customer.lastName}" />
            <td th:text="${customer.email}" />
        </tr>
    </table>
</body>

</html>